# libdar::not_mask Class Reference
[API]

negation of another mask More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| not_mask (const mask &m)
| the constructor to be used by libdar external programs
| not_mask (const not_mask &m)
| copy constructor
not_mask & | operator= (const not_mask &m)
| assignment operator
| ~not_mask ()
| destructor
bool | is_covered (const std::string &expression) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

negation of another mask

this is the first mask built over masks it realizes the negation of the given mask

Definition at line 170 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::not_mask::not_mask | ( | const mask & | m | ) | `[inline]`

the constructor to be used by libdar external programs

Parameters:

  `[in]` | m | is the mask to negate

Note:
  the mask used as argument need not to survive the just created not_mask object as an internal copy of the mask given in argument has been done.

Definition at line 178 of file mask.hpp.

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp